All of lore.kernel.org
 help / color / mirror / Atom feed
From: Yu Kuai <yukuai1@huaweicloud.com>
To: saranyamohan@google.com, tj@kernel.org, axboe@kernel.dk
Cc: linux-block@vger.kernel.org, yukuai3@huawei.com,
	yukuai1@huaweicloud.com, yangerkun@huawei.com
Subject: [PATCH v2 blktests 5/5] tests/throtl: add a new test 005
Date: Wed, 17 Apr 2024 10:20:05 +0800	[thread overview]
Message-ID: <20240417022005.1410525-6-yukuai1@huaweicloud.com> (raw)
In-Reply-To: <20240417022005.1410525-1-yukuai1@huaweicloud.com>

From: Yu Kuai <yukuai3@huawei.com>

Test change config while IO is throttled, regression test for:

commit a880ae93e5b5 ("blk-throttle: fix io hung due to configuration updates")

Signed-off-by: Yu Kuai <yukuai3@huawei.com>
---
 tests/throtl/005     | 37 +++++++++++++++++++++++++++++++++++++
 tests/throtl/005.out |  3 +++
 2 files changed, 40 insertions(+)
 create mode 100755 tests/throtl/005
 create mode 100644 tests/throtl/005.out

diff --git a/tests/throtl/005 b/tests/throtl/005
new file mode 100755
index 0000000..5ee5e7d
--- /dev/null
+++ b/tests/throtl/005
@@ -0,0 +1,37 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-3.0+
+# Copyright (C) 2024 Yu Kuai
+#
+# Test change config while IO is throttled, regression test for
+# commit a880ae93e5b5 ("blk-throttle: fix io hung due to configuration updates")
+
+. tests/throtl/rc
+
+DESCRIPTION="change config with throttled IO"
+QUICK=1
+
+test() {
+	echo "Running ${TEST_NAME}"
+
+	if ! _set_up_test nr_devices=1; then
+		return 1;
+	fi
+
+	_set_limits wbps=$((512 * 1024))
+
+	{
+		sleep 0.1
+		_issue_io write 1M 1
+	} &
+
+	pid=$!
+	echo "$pid" > $TEST_DIR/cgroup.procs
+
+	sleep 1
+	_set_limits wbps=$((256 * 1024))
+	wait $pid
+	_remove_limits
+
+	_clean_up_test
+	echo "Test complete"
+}
diff --git a/tests/throtl/005.out b/tests/throtl/005.out
new file mode 100644
index 0000000..1d23210
--- /dev/null
+++ b/tests/throtl/005.out
@@ -0,0 +1,3 @@
+Running throtl/005
+3
+Test complete
-- 
2.39.2


      parent reply	other threads:[~2024-04-17  2:28 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-17  2:20 [PATCH v2 blktests 0/5] add new tests for blk-throttle Yu Kuai
2024-04-17  2:20 ` [PATCH v2 blktests 1/5] tests/throtl: add first test " Yu Kuai
2024-04-19  4:29   ` Shinichiro Kawasaki
2024-04-19  8:01     ` Yu Kuai
2024-04-19  8:50       ` Shinichiro Kawasaki
2024-04-17  2:20 ` [PATCH v2 blktests 2/5] tests/throtl: add a new test 002 Yu Kuai
2024-04-17  2:20 ` [PATCH v2 blktests 3/5] tests/throtl: add a new test 003 Yu Kuai
2024-04-17  2:20 ` [PATCH v2 blktests 4/5] tests/throtl: add a new test 004 Yu Kuai
2024-04-19  4:45   ` Shinichiro Kawasaki
2024-04-19  8:05     ` Yu Kuai
2024-04-17  2:20 ` Yu Kuai [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240417022005.1410525-6-yukuai1@huaweicloud.com \
    --to=yukuai1@huaweicloud.com \
    --cc=axboe@kernel.dk \
    --cc=linux-block@vger.kernel.org \
    --cc=saranyamohan@google.com \
    --cc=tj@kernel.org \
    --cc=yangerkun@huawei.com \
    --cc=yukuai3@huawei.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.